PETSc version 3.15.5
Fix/Edit manual page

# PetscDSGetJetDegree

Returns the highest derivative for this field equation, or the k-jet that the discretization needs to tabulate.

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetJetDegree(PetscDS ds, PetscInt f, PetscInt *k)

Not collective

### Input Parameters

| ds | - The PetscDS object
| f | - The field number

### Output Parameter

| k | - The highest derivative we need to tabulate

### See Also

PetscDSSetJetDegree(), PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

### Level

developer

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages